> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Send

> Sends a discovery magic link email to enumerate the organizations associated with the given email address. Calls the `POST /sdk/v1/b2b/magic_links/email/discovery/send` endpoint. Generates and stores a PKCE code pair for use in the subsequent [authenticate] call.

## Parameters

<ParamField body="emailAddress" type="String" required />

<ParamField body="discoveryRedirectUrl" type="String?" />

<ParamField body="loginTemplateId" type="String?" />

<ParamField body="locale" type="String?" />

<ParamField body="discoveryExpirationMinutes" type="Int?" />

## Returns

<ResponseField name="requestId" type="String" required />

<ResponseField name="statusCode" type="Int" required />

<RequestExample>
  ```kotlin theme={null}
  StytchB2B.magicLinks.discovery.emailSend(
      B2BMagicLinksDiscoveryEmailSendParameters(emailAddress = "user@example.com")
  )
  ```
</RequestExample>
